Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class TestComponentAdapter

    java.lang.Object
      org.picocontainer.defaults.MonitoringComponentAdapter
          org.picocontainer.defaults.AbstractComponentAdapter
              org.nanocontainer.script.xml.TestComponentAdapter

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentAdapter, org.picocontainer.defaults.ComponentMonitorStrategy

    public class TestComponentAdapter

extends org.picocontainer.defaults.AbstractComponentAdapter

component adapter to test script instantiation.

See Also:
  Serialized Form

Constructor Summary
`TestComponentAdapter(String foo, int bar, String blurge)`

Method Summary
`Object` | `getComponentInstance(org.picocontainer.PicoContainer pico)`
`void` | `verify(org.picocontainer.PicoContainer pico)`

Methods inherited from class org.picocontainer.defaults.AbstractComponentAdapter
`accept, checkTypeCompatibility, getComponentImplementation, getComponentKey, toString`

Methods inherited from class org.picocontainer.defaults.MonitoringComponentAdapter
`changeMonitor, currentMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestComponentAdapter

    public TestComponentAdapter(String foo,
                                int bar,
                                String blurge)

Method Detail

### verify

    public void verify(org.picocontainer.PicoContainer pico)

### getComponentInstance

    public Object getComponentInstance(org.picocontainer.PicoContainer pico)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.